> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Email Validation

> Validates an email address and returns deliverability signals.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-email-validation
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows, search execution, and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Data Sources
    description: Focused provider lookups for LinkedIn, email, phone, and company data.
paths:
  /functions/v1/run-email-validation:
    post:
      tags:
        - Data Sources
      summary: Run Email Validation
      description: Validates an email address and returns deliverability signals.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
              properties:
                email:
                  type: string
                  format: email
            example:
              email: john@example.com
      responses:
        '200':
          description: Validation completed.
          content:
            application/json:
              example:
                session_id: 77777777-7777-7777-7777-777777777777
                kind: email_validation
                email: sam@openai.com
                human: |-
                  # Email validation

                  - **Email:** sam@openai.com
                  - **Result:** valid
                  - **Message:** Mailbox exists and accepts mail.
                  - **Catch-all:** No
                  - **Provider:** google_workspace
                  - **Confidence:** high
                machine:
                  email: sam@openai.com
                  result: valid
                  message: Mailbox exists and accepts mail.
                  isCatchAll: false
                  provider: google_workspace
                  confidence: high
                total_points: 1
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````